Bug 1257498 - xen 4, libvirt error: failed to connect to the hypervisor
xen 4, libvirt error: failed to connect to the hypervisor
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-27 04:23 EDT by Igor
Modified: 2015-10-21 14:59 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-21 14:59:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/libvirt/libvirtd.log (81.64 KB, text/plain)
2015-08-27 04:23 EDT, Igor
no flags Details

  None (edit)
Description Igor 2015-08-27 04:23:14 EDT
Created attachment 1067591 [details]
/var/log/libvirt/libvirtd.log

Description of problem:
When you try to run:
# virsh list
I get the error:
error: failed to connect to the hypervisor
error: no valid connection
error: Internal error: An error occurred while adding a file to the list of configuration

Version-Release number of selected component (if applicable):
# rpm -qa|grep libvirt
libvirt-daemon-1.2.15-3.el6.x86_64
libvirt-daemon-driver-nwfilter-1.2.15-3.el6.x86_64
libvirt-daemon-driver-storage-1.2.15-3.el6.x86_64
libvirt-daemon-driver-xen-1.2.15-3.el6.x86_64
libvirt-daemon-driver-secret-1.2.15-3.el6.x86_64
libvirt-daemon-driver-lxc-1.2.15-3.el6.x86_64
libvirt-daemon-driver-qemu-1.2.15-3.el6.x86_64
libvirt-daemon-xen-1.2.15-3.el6.x86_64
libvirt-client-1.2.15-3.el6.x86_64
libvirt-daemon-driver-network-1.2.15-3.el6.x86_64
libvirt-daemon-driver-interface-1.2.15-3.el6.x86_64
libvirt-daemon-driver-nodedev-1.2.15-3.el6.x86_64
libvirt-daemon-driver-libxl-1.2.15-3.el6.x86_64
libvirt-daemon-config-nwfilter-1.2.15-3.el6.x86_64
libvirt-daemon-config-network-1.2.15-3.el6.x86_64
libvirt-python-1.2.10-2.el6.x86_64
libvirt-1.2.15-3.el6.x86_64

How reproducible:
Execute:
# virsh list

Steps to Reproduce:
1. Execute "virsh list" or "virsh -c xen:/// list"
2. Get error

Actual results:
-

Expected results:
-

Additional info:
log file /var/log/libvirt/libvirtd.log in attach
Comment 1 Cole Robinson 2015-09-21 18:18:36 EDT
Is this on fedora? your packages all have 'el6' in the name

Note You need to log in before you can comment on or make changes to this bug.